EDIT - bug #10076

Exception when opening character matrix with classification as root node
06/16/2022 04:39 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.32

Severity: normal Found in Version:

Description

mail Konstantina Koutroumpa:
Dear Katja and Andreas,

| am getting an error when opening the character matrix in EDIT, please see attached.
Could you take a look at it?

exception:

last remote method : http://api.cybertaxonomy.org:80/flora—greece-bupleurum/remoting/progressmonit
or.service
last remote request client time : 2022-03-23T14:31:14.567
last remote request response header time : Wed, 23 Mar 2022 13:31:14 GMT
client error time : 2022-03-23T14:31:14.621
login : tutor
editor version : 5.30.0
server : apil.cybertaxonomy.org (cybertaxonomy.org) / flora-greece-bupleurum
schema version : 5.29.0.0.20211122
os : Windows 10 10.0 amdé64
java : 1.8.0_201
java.util.NoSuchElementException

at java.util.HashMap$HashIterator.nextNode (HashMap. java:1447)

at Jjava.util.HashMap$KeyIterator.next (HashMap.java:1469)

at eu.etaxonomy.cdm.api.service.DescriptiveDataSetService.findTaxonNodeForDescription (Descript
iveDataSetService.java:223)

at eu.etaxonomy.cdm.api.service.DescriptiveDataSetService.createSpecimenRowWrapper (Descriptive
DataSetService. java:406)

at eu.etaxonomy.cdm.api.service.DescriptiveDataSetService.createSpecimenRowWrapper (Descriptive
DataSetService.java:451)

at eu.etaxonomy.cdm.api.service.DescriptiveDataSetService.getRowlWrapper (DescriptiveDataSetServ
ice.java:156)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:333)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:283)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.SProxyl930.getRowWrapper (Unknown Source)

at eu.etaxonomy.cdm.api.service.longrunningService.LongRunningTasksService$l.doRun (LongRunning
TasksService. java:71)
at eu.etaxonomy.cdm.common.monitor.RemotingProgressMonitorThread. run (RemotingProgressMonitorTh
read.java:42)

Associated revisions

Revision 9fb87bef - 06/16/2022 04:42 PM - Katja Luther

ref #10076: fix taxonnodeDto creation for nodes without taxon and parent

Revision 9169740e - 06/17/2022 08:54 PM - Andreas Miiller
ref #10076 fix HQL query (remove native)

Revision 81b378ac - 06/20/2022 02:46 PM - Andreas Miiller
ref #10076 fix HQL query (remove native)

History

#1 - 06/16/2022 04:40 PM - Katja Luther

This problem appears when the root node of the descriptive dataset is a classification, which has no parent node and no taxon.

#2 - 06/28/2022 11:49 AM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 0 to 60

This should be fixed, please review.

#3 - 07/08/2022 04:34 PM - Andreas Miiller

- Description updated

#4 - 07/08/2022 09:33 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 60 to 100

Works as expected.
